Request
Body Params application/json
{
"name": "string",
"configuration": {
"startDate": "2019-08-24T14:15:22.123Z",
"investmentStartDate": "2019-08-24T14:15:22.123Z",
"endDate": "2019-08-24T14:15:22.123Z",
"tickers": [
"string"
],
"riskProfile": "string"
},
"rebalancing": {
"webhook": "string",
"threshold": {
"active": true,
"value": 0
},
"period": {
"active": true,
"value": 0
},
"drift": {
"active": true,
"value": 0
},
"outperform": {
"active": true,
"value": {
"symbols": [
"string"
],
"value": 0
}
},
"jump": {
"active": true,
"value": 0
}
},
"plannedInvestment": 0,
"currency": "string"
}
Request Code Samples
curl --location --request POST 'https://testapi.flyp.com.tr/magnusapi/service/simulation' \
--header 'Content-Type: application/json' \
--data-raw '{
"name": "string",
"configuration": {
"startDate": "2019-08-24T14:15:22.123Z",
"investmentStartDate": "2019-08-24T14:15:22.123Z",
"endDate": "2019-08-24T14:15:22.123Z",
"tickers": [
"string"
],
"riskProfile": "string"
},
"rebalancing": {
"webhook": "string",
"threshold": {
"active": true,
"value": 0
},
"period": {
"active": true,
"value": 0
},
"drift": {
"active": true,
"value": 0
},
"outperform": {
"active": true,
"value": {
"symbols": [
"string"
],
"value": 0
}
},
"jump": {
"active": true,
"value": 0
}
},
"plannedInvestment": 0,
"currency": "string"
}'
Modified at 2024-12-31 08:29:55